Start formation
curl -sS -X POST "https://api.orgs.sh/v1/entities/$ENTITY_ID/formation/start" \
  -H "authorization: Bearer $ORGS_API_KEY"
{
  "entity_id": "3f3f5278-31d5-4ca6-ae0d-257cf1cdd4a1",
  "state": "Filing",
  "message": "formation started - entity is now in Filing state"
}
POST
/
v1
/
entities
/
{id}
/
formation
/
start
Start formation
curl -sS -X POST "https://api.orgs.sh/v1/entities/$ENTITY_ID/formation/start" \
  -H "authorization: Bearer $ORGS_API_KEY"
{
  "entity_id": "3f3f5278-31d5-4ca6-ae0d-257cf1cdd4a1",
  "state": "Filing",
  "message": "formation started - entity is now in Filing state"
}

Routes

POST /v1/entities/{id}/formation/start
GET  /v1/entities/{id}/formation/status

Path parameters

id
string
required
Entity UUID.

Response fields

entity_id
string
required
Entity UUID.
state
string
required
Current formation state.
message
string
Start response message.
Starting formation transitions API state. The external filing operation is handled by the formation worker.

Authorizations

Authorization
string
header
required

Use Authorization: Bearer <token>. The token can be a legacy Orgs API key or a platform-minted JWT.

Path Parameters

id
string<uuid>
required

Entity UUID.

Response

Formation state after start request.

entity_id
string<uuid>
required
state
string
required
Example:

"Filing"

message
string
required